// #autoload
// #name = TransReticle
// #version = 1.5
// #date = December 14, 2002
// #author = Chris Lee
// #warrior =  Silverspirit
// #email = uncle_crewcut@hotmail.com
// #web = http://scripts.tribalwar.com/silverspirit
// #credits = UberGuy, for updating it for Classic and TR2.
// #description = Lets you choose the transparency for your reticle for each weapon.
// #status = Release
// #config = TransReticleGui
// #include = support/loadout.cs

package transReticle {

    function clientCmdSetWeaponsHudActive(%slot, %ret, %vis) {
        parent::clientCmdSetWeaponsHudActive(%slot, %ret, %vis);
        %currentWeapon = loadout.getCurrentWeapon();
        if (strstr(%currentWeapon,"TR2") == 0) {
        	%currentWeapon = getSubStr(%currentWeapon,3,1000);
            if ((strstr(%currentWeapon,"Gold") == 0) || (strstr(%currentWeapon,"Silver") == 0))
                %currentWeapon = "TargetingLaser";
        }
        reticleHud.opacity = ($TransRet::WeaponOpacity[%currentWeapon] $= "") ? 1 : $TransRet::WeaponOpacity[%currentWeapon];
        reticleFrameHud.opacity = ($TransRet::FrameOpacity[%currentWeapon] $= "") ? 1 : $TransRet::FrameOpacity[%currentWeapon];
        reticleFrameHud.setVisible(true);
    }

    function clientCmdVehicleMount() {
        parent::clientCmdVehicleMount();
        reticleHud.opacity = $TransRet::WeaponOpacity["ShrikeBlaster"];
    }

    function clientCmdSetVWeaponsHudActive(%num, %vType) {
        parent::clientCmdSetVWeaponsHudActive(%num, %vType);
        if (%vType $= "BomberFlyer") {
            if (%num == 1)
                reticleHud.opacity = $TransRet::WeaponOpacity[BomberBlaster];
            else if(%num == 3) {
                reticleHud.opacity = $TransRet::WeaponOpacity[TargetingLaser];
                reticleFrameHud.setVisible(false);
            }
        } else if (%vType $= "AssaultVehicle") {
            if (%num == 1)
                reticleHud.opacity = $TransRet::WeaponOpacity[TankChaingun];
            else if (%num == 2)
                reticleHud.opacity = $TransRet::WeaponOpacity[TankMortar];
        }
    }
};

function TransRetSetup() {

    new GuiControl(TransReticleGui)
    {
        profile = "GuiTextObjGreenCenterProfile";
        horizSizing = "right";
        vertSizing = "bottom";
        position = "0 33";
        extent = "550 300";
        minExtent = "400 300 ";
        visible = "1";
        hideCursor = "0";
        bypassHideCursor = "0";
        helpTag = "0";

        new ShellFieldCtrl()
        {
            profile = "ShellFieldProfile";
            horizSizing = "right";
            vertSizing = "center";
            position = "10 10";
            extent = "550 300";
            minExtent = "400 300";
            visible = "1";
            hideCursor = "0";
            bypassHideCursor = "0";
            helpTag = "0";

            new GuiTextCtrl(lblReticle) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "10 10";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Reticle";
                maxLength = "255";
            };

            new GuiTextCtrl(lblFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "10 120";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Frame";
                maxLength = "255";
            };

            new GuiTextCtrl(lblVehicles) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "10 230";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Vehicles";
                maxLength = "255";
            };

            new GuiTextCtrl(lblBlaster) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "16 30";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Blaster";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_Blaster)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "13 40";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblPlasma) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "101 30";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Plasma";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_Plasma)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "98 40";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblChaingun) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "186 30";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Chaingun";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_Chaingun)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "183 40";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblDisc) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "271 30";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Disc";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_Disc)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "268 40";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblGrenadeLauncher) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "356 30";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Grenade Launcher";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_GrenadeLauncher)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "353 40";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblSniperRifle) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "16 70";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Sniper Rifle";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_SniperRifle)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "13 80";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblELFGun) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "101 70";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "ELF Gun";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_ELFGun)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "98 80";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblMortar) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "186 70";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Mortar";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_Mortar)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "183 80";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblMissileLauncher) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "271 70";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Missile Launcher";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_MissileLauncher)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "268 80";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblShocklance) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "356 70";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Shocklance";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_Shocklance)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "353 80";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblTargetingLaser) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "441 50";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Targeting Laser";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_TargetingLaser)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "438 60";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblBlasterFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "16 140";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Blaster";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_BlasterFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "13 150";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblPlasmaFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "101 140";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Plasma";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_PlasmaFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "98 150";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblChaingunFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "186 140";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Chaingun";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_ChaingunFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "183 150";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblDiscFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "271 140";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Disc";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_DiscFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "268 150";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblGrenadeLauncherFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "356 140";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Grenade Launcher";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_GrenadeLauncherFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "353 150";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblSniperRifleFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "16 180";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Sniper Rifle";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_SniperRifleFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "13 190";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblELFGunFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "101 180";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "ELF Gun";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_ELFGunFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "98 190";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblMortarFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "186 180";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Mortar";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_MortarFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "183 190";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblMissileLauncherFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "271 180";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Missile Launcher";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_MissileLauncherFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "268 190";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblShocklanceFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "356 180";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Shocklance";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_ShocklanceFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "353 190";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblTargetingLaserFrame) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "441 160";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Targeting Laser";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_TargetingLaserFrame)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "438 170";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblShrikeBlaster) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "16 250";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Shrike Blaster";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_ShrikeBlaster)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "13 260";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblBomberBlaster) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "101 250";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Bomber Blaster";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_BomberBlaster)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "98 260";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblTankChaingun) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "186 250";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Tank Chaingun";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_TankChaingun)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "183 260";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };

            new GuiTextCtrl(lblTankMortar) {
                profile = "TaskHudTextProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "271 250";
                extent = "60 20";
                minExtent = "8 8";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                helpTag = "0";
                text = "Tank Mortar";
                maxLength = "255";
            };

            new ShellSliderCtrl(TR_TankMortar)
            {
                profile = "ShellSliderProfile";
                horizSizing = "right";
                vertSizing = "bottom";
                position = "268 260";
                extent = "86 24";
                minExtent = "12 24";
                visible = "1";
                hideCursor = "0";
                bypassHideCursor = "0";
                variable = "value";
                command = "TransReticleGui.Set();";
                helpTag = "0";
                range = "0.000000 1.000000";
                ticks = "100";
                value = "0.5";
                usePlusMinus = "0";
                format = "%1.0f";
            };
        };
    };
    exec("prefs/transRet.cs");
}

function TransReticleGui::Set(%this) {
    $TransRet::WeaponOpacity["Blaster"] = TR_Blaster.value;
    $TransRet::WeaponOpacity["Plasma"] = TR_Plasma.value;
    $TransRet::WeaponOpacity["Chaingun"] = TR_Chaingun.value;
    $TransRet::WeaponOpacity["Disc"] = TR_Disc.value;
    $TransRet::WeaponOpacity["GrenadeLauncher"] = TR_GrenadeLauncher.value;
    $TransRet::WeaponOpacity["SniperRifle"] = TR_SniperRifle.value;
    $TransRet::WeaponOpacity["ELFGun"] = TR_ELFGun.value;
    $TransRet::WeaponOpacity["Mortar"] = TR_Mortar.value;
    $TransRet::WeaponOpacity["MissileLauncher"] = TR_MissileLauncher.value;
    $TransRet::WeaponOpacity["Shocklance"] = TR_Shocklance.value;
    $TransRet::WeaponOpacity["TargetingLaser"] = TR_TargetingLaser.value;
    $TransRet::WeaponOpacity["ShrikeBlaster"] = TR_ShrikeBlaster.value;
    $TransRet::WeaponOpacity["BomberBlaster"] = TR_BomberBlaster.value;
    $TransRet::WeaponOpacity["TankChaingun"] = TR_TankChaingun.value;
    $TransRet::WeaponOpacity["TankMortar"] = TR_TankMortar.value;
    $TransRet::FrameOpacity["Blaster"] = TR_BlasterFrame.value;
    $TransRet::FrameOpacity["Plasma"] = TR_PlasmaFrame.value;
    $TransRet::FrameOpacity["Chaingun"] = TR_ChaingunFrame.value;
    $TransRet::FrameOpacity["Disc"] = TR_DiscFrame.value;
    $TransRet::FrameOpacity["GrenadeLauncher"] = TR_GrenadeLauncherFrame.value;
    $TransRet::FrameOpacity["SniperRifle"] = TR_SniperRifleFrame.value;
    $TransRet::FrameOpacity["ELFGun"] = TR_ELFGunFrame.value;
    $TransRet::FrameOpacity["Mortar"] = TR_MortarFrame.value;
    $TransRet::FrameOpacity["MissileLauncher"] = TR_MissileLauncherFrame.value;
    $TransRet::FrameOpacity["Shocklance"] = TR_ShocklanceFrame.value;
    $TransRet::FrameOpacity["TargetingLaser"] = TR_TargetingLaserFrame.value;
    export("$TransRet::*", "prefs/transRet.cs", false);
}

function TransReticleGui::onWake(%this) {
    if (!$TransRet::Setup) {
        $TransRet::WeaponOpacity["Blaster"] = 0.5;
        $TransRet::WeaponOpacity["Plasma"] = 0.5;
        $TransRet::WeaponOpacity["Chaingun"] = 0.5;
        $TransRet::WeaponOpacity["Disc"] = 0.5;
        $TransRet::WeaponOpacity["GrenadeLauncher"] = 0.5;
        $TransRet::WeaponOpacity["SniperRifle"] = 0.5;
        $TransRet::WeaponOpacity["ELFGun"] = 0.5;
        $TransRet::WeaponOpacity["Mortar"] = 0.5;
        $TransRet::WeaponOpacity["MissileLauncher"] = 0.5;
        $TransRet::WeaponOpacity["Shocklance"] = 0.5;
        $TransRet::WeaponOpacity["TargetingLaser"] = 0.5;
        $TransRet::WeaponOpacity["ShrikeBlaster"] = 0.5;
        $TransRet::WeaponOpacity["BomberBlaster"] = 0.5;
        $TransRet::WeaponOpacity["TankChaingun"] = 0.5;
        $TransRet::WeaponOpacity["TankMortar"] = 0.5;
        $TransRet::FrameOpacity["Blaster"] = 0.5;
        $TransRet::FrameOpacity["Plasma"] = 0.5;
        $TransRet::FrameOpacity["Chaingun"] = 0.5;
        $TransRet::FrameOpacity["Disc"] = 0.5;
        $TransRet::FrameOpacity["GrenadeLauncher"] = 0.5;
        $TransRet::FrameOpacity["SniperRifle"] = 0.5;
        $TransRet::FrameOpacity["ELFGun"] = 0.5;
        $TransRet::FrameOpacity["Mortar"] = 0.5;
        $TransRet::FrameOpacity["MissileLauncher"] = 0.5;
        $TransRet::FrameOpacity["Shocklance"] = 0.5;
        $TransRet::FrameOpacity["TargetingLaser"] = 0.5;
        $TransRet::Setup = true;
    }
    TR_Blaster.setValue($TransRet::WeaponOpacity["Blaster"]);
    TR_Plasma.setValue($TransRet::WeaponOpacity["Plasma"]);
    TR_Chaingun.setValue($TransRet::WeaponOpacity["Chaingun"]);
    TR_Disc.setValue($TransRet::WeaponOpacity["Disc"]);
    TR_GrenadeLauncher.setValue($TransRet::WeaponOpacity["GrenadeLauncher"]);
    TR_SniperRifle.setValue($TransRet::WeaponOpacity["SniperRifle"]);
    TR_ELFGun.setValue($TransRet::WeaponOpacity["ELFGun"]);
    TR_Mortar.setValue($TransRet::WeaponOpacity["Mortar"]);
    TR_MissileLauncher.setValue($TransRet::WeaponOpacity["MissileLauncher"]);
    TR_Shocklance.setValue($TransRet::WeaponOpacity["Shocklance"]);
    TR_TargetingLaser.setValue($TransRet::WeaponOpacity["TargetingLaser"]);
    TR_ShrikeBlaster.setValue($TransRet::WeaponOpacity["ShrikeBlaster"]);
    TR_BomberBlaster.setValue($TransRet::WeaponOpacity["BomberBlaster"]);
    TR_TankChaingun.setValue($TransRet::WeaponOpacity["TankChaingun"]);
    TR_TankMortar.setValue($TransRet::WeaponOpacity["TankMortar"]);
    TR_BlasterFrame.setValue($TransRet::FrameOpacity["Blaster"]);
    TR_PlasmaFrame.setValue($TransRet::FrameOpacity["Plasma"]);
    TR_ChaingunFrame.setValue($TransRet::FrameOpacity["Chaingun"]);
    TR_DiscFrame.setValue($TransRet::FrameOpacity["Disc"]);
    TR_GrenadeLauncherFrame.setValue($TransRet::FrameOpacity["GrenadeLauncher"]);
    TR_SniperRifleFrame.setValue($TransRet::FrameOpacity["SniperRifle"]);
    TR_ELFGunFrame.setValue($TransRet::FrameOpacity["ELFGun"]);
    TR_MortarFrame.setValue($TransRet::FrameOpacity["Mortar"]);
    TR_MissileLauncherFrame.setValue($TransRet::FrameOpacity["MissileLauncher"]);
    TR_ShocklanceFrame.setValue($TransRet::FrameOpacity["Shocklance"]);
    TR_TargetingLaserFrame.setValue($TransRet::FrameOpacity["TargetingLaser"]);
    %this.Set();
}

activatePackage(transReticle);
TransRetSetup();

